
import './App.scss';
import Header from './components/Header';
import CMain from './components/MainPage/Main';
import CLoginForm from './components/LoginPage/Login';
import CRegister from './components/RegisterPage/Register';
import {BrowserRouter as Router, Switch, Route} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import { Provider } from 'react-redux';
import store from './reducers';
import { Redirect } from 'react-router-dom';
const history = createHistory();


function App() {
    
  return (
    <Router history={history}>
      <Provider store={store}>
      <Switch>
    <div className="App">
      {localStorage.getItem("authToken") ? <Redirect to="/"/> : <Redirect to="/login"/>}
        <Route exact path="/login" component={CLoginForm}/>
        <Route exact path="/register" component={CRegister}/>
      {/* {store.auth.payload?.sub?.id ? <Redirect to="/"/> : <Redirect to="/login"/>} */}  
        <Route exact path="/" component={Header}/>
        <Route exact path="/" component={CMain}/>
        <Route exact path="/collections" component={Header}/>
        <Route exact path="/collections" component={CMain}/>
        <Route exact path="/createpost" component={CMain}/>
        <Route exact path="/settings" component={Header}/>
        <Route exact path="/settings" component={CMain}/>
    </div>
    </Switch>
    </Provider>
    </Router>
  );
}

export default App;
