import { useDropzone } from 'react-dropzone';
import {arrayMoveImmutable} from 'array-move';
import {sortableContainer, sortableElement} from 'react-sortable-hoc';
import { useState } from 'react';

const backendURL = 'http://hipstagram.asmer.fs.a-level.com.ua';






function MyDropZone({props, onLoad}) {
    const {acceptedFiles, getRootProps, getInputProps} = useDropzone();
    /* useEffect(() => {
      if(acceptedFiles[0]){
          onLoad(acceptedFiles[0])
      }
    },[acceptedFiles[0]]) */
    const files = acceptedFiles.map(file => (
      <li key={file.path}>
        {file.path} - {file.size} bytes
      </li>
    ));
  
    return (
      <section className="container">
        <div {...getRootProps({className: 'dropzone'})}>
          <input {...getInputProps()} />
          <p>Drag 'n' drop some files here, or click to select files</p>
        </div>
        <aside>
          <h4>Files</h4>
          <ul>{files}</ul>
        </aside>
      </section>
    );
  }
  


let defaultPost = [{
  "_id": "5d6d9aa25bc6e90a3ba1afe2",
  "title": null,
  "text": "aaa",
  "images": [
    "images/1f8973225107076a4e2f2e4ac5e35e74"
   ,
    "images/d766a6cb2d3c232f3e9241abf0751cbc"
   ,
    "images/b3def30bab7249af56ef341536327fd3"
   
 ],
 "owner": {
   "_id": "5d66e01dc6a7071408ac1e1c",
   "nick": null
 } 
}]

const defImg = {images:[{url:"images/b3def30bab7249af56ef341536327fd3"},{url:"images/d766a6cb2d3c232f3e9241abf0751cbc"},{url:"images/1f8973225107076a4e2f2e4ac5e35e74"}]}

const Photo = ({photo}) => {
  return (
    <img src={`${backendURL}+"/"+${photo}`}/>
  )
}





  const defitems = {items:['Item 1', 'Item 2', 'Item 3', 'Item 4', 'Item 5', 'Item 6']};



  const EntityEditor = ({entity={images: []}, onSave, onFileDrop, fileStatus}) => {
    const [state,setState] = useState(entity)
    //по файлу в дропзоне:
        //дергать onFileDrop
        //fileStatus - информация о заливке файла из redux
        //через useEffect дождаться когда файл зальется
        //и сделать setState({...state, array: [...state.array, {объект файла с бэка с _id и url}]})
    //по react-sortable-hoc
        //делаете как в пример arrayMove для state.array
    //по кнопке сохранения делаем onSave(state)
    //где-то рядом остальные поля из state типа title name text
    //но это вы уже знаете

    const SortableItem = sortableElement(({value}) => <div>
    {/* <img src={`${backendURL}+"/"${value.images[0]}`} alt="photo"/> */}
    <h2>{value._id}</h2>
    <p>{value.text}</p>
</div>);

    const SortableContainer = sortableContainer(({children}) => {
  return <div>{children}</div>;
});


    const  onSortEnd = ({oldIndex, newIndex}) => {
        console.log(state, oldIndex, newIndex, arrayMoveImmutable(state.images, oldIndex, newIndex));
        setState((state) => {
            return {images: arrayMoveImmutable(state.images, oldIndex, newIndex)}
          })
        /* setState((state) => ({
            items: arrayMoveImmutable(state.items, oldIndex, newIndex),
          })); */
    }
    // console.log(state)
            
    return(
        <SortableContainer onSortEnd={onSortEnd}>
        {state.images.map((value, index) => (
          <SortableItem key={`item-${value}`} index={index} value={value} />
        ))}
      </SortableContainer>
    )

}





 const UpsertPost = () => {
    /*  const [state, setState] = useState({...items});

     const  onSortEnd = ((oldIndex, newIndex) => {
        setState((state) => ({
            items: arrayMoveImmutable(state.items, oldIndex, newIndex),
          }));
    }) */

    return(
       /*  <SortableContainer onSortEnd={onSortEnd}>
        {state.items.map((value, index) => (
          <SortableItem key={`item-${value}`} index={index} value={value} />
        ))}
      </SortableContainer> */
      <EntityEditor entity={defaultPost}/>
    )
        }


export default UpsertPost;