import DropZoneForFiles from "../DropZone";

const UserSettings = () =>{
    return(
        <div className="flex mx-auto px-4 justify-center items-center p-6 xl:container xls:mx-auto">

            <div className="min-h-full flex items-center justify-center py-12 px-4 sm:px-6 lg:px-8">
                <div className="max-w-md w-full space-y-8">
                    <div>
                    <h2 className="mt-6 text-center text-3xl font-extrabold text-gray-900">Settings</h2>
                    </div>
                <div className="mt-8 space-y-6 rounded-md shadow-sm ">
                    <div>
                        <label>Nick: </label>
                        <input placeholder="nick" type="text" className="LoginInput"/>
                    </div>
                    <div>
                        <label>Avatar:</label>
                        <DropZoneForFiles/>
                    </div>
                    <button className="LoginButton">Save Settings</button>
                </div>
            </div>
        </div>
    </div>
    )
}


export default UserSettings;